Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.bean
Class BeanFactory

    java.lang.Object
      org.jini.rio.bean.BeanFactory

All Implemented Interfaces:
  ServiceBeanFactory

Direct Known Subclasses:
  SpringBeanFactory

    public class BeanFactory

extends Object
implements ServiceBeanFactory

Instantiates a Plain Old Java Object (POJO), providing support for remote invocations and administration by adapting the POJO into the framework using the `BeanAdapter` class

See Also:
  `ServiceBeanFactory`, `BeanAdapter`

Nested Class Summary

Nested classes/interfaces inherited from interface org.jini.rio.core.jsb.ServiceBeanFactory
`ServiceBeanFactory.Created`

Constructor Summary
`BeanFactory()`

Method Summary
`ServiceBeanFactory.Created` | `create(ServiceBeanContext context)` Creates the bean and the `BeanAdapter` which will handle dynamic remoting and proxy delegation.
`protected Object` | `getBean(ServiceBeanContext context)` Get the bean object.
`protected String[]` | `getPlatformDLJars(Configuration config)` Get the jar names which should be part of the codebase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanFactory

    public BeanFactory()

Method Detail

### create

    public ServiceBeanFactory.Created create(ServiceBeanContext context)
                                      throws JSBInstantiationException

  Creates the bean and the `BeanAdapter` which will handle dynamic remoting and proxy delegation.

  Specified by:
    `create` in interface `ServiceBeanFactory`
  Parameters:
    `context` - The `ServiceBeanContext` describing the service to create
  Returns:
    The Created object
  Throws:
    `JSBInstantiationException` - If there are errors creating the service bean
  See Also:
    `ServiceBeanFactory.create(org.jini.rio.core.jsb.ServiceBeanContext)`

### getPlatformDLJars

    protected String[] getPlatformDLJars(Configuration config)
                                  throws ConfigurationException

  Get the jar names which should be part of the codebase.

  Parameters:
    `config` - The configuration to use hen loading the org.jini.rio.bean.platformDLJars property
  Returns:
    A String array of platform jars, defaulting to rio-dl.jar
  Throws:
    `ConfigurationException` - If there are exceptions accessing the property

### getBean

    protected Object getBean(ServiceBeanContext context)
                      throws Exception

  Get the bean object.

  Parameters:
    `context` - The context used to obtain details on what to load
  Returns:
    The loaded bean
  Throws:
    `Exception` - If there are errors loading the bean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.